Skip to main content
PUT
Allow artifact for environment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Body

application/json

Input model for an allowlist record

artifact_name
string
required

The name of the artifact that is allowed

artifact_fingerprint
string
required

The sha256 fingerprint of the artifact that is allowed

Pattern: ^[a-f0-9]{64}$
description
string
required

The reason for allow listing this artifact

Response

Successful Response

Input model for an allowlist record

artifact_name
string
required

The name of the artifact that is allowed

artifact_fingerprint
string
required

The sha256 fingerprint of the artifact that is allowed

Pattern: ^[a-f0-9]{64}$
description
string
required

The reason for allow listing this artifact

Last modified on June 18, 2026